Subject: bug#12785: [octave-mod] Changed behaviour of octave-mark-block?

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Dec 2012 17:02:22 -0500

> for i=1:n, something; end;

> If octave-mark-block is invoked with the cursor anywhere inside the
> 'for' token, it will fail ("unbalanced parentheses").  The following
> situations all fail in the recent version, but succeed in the older
> version: |for, f|or, fo|r.

For the "|for" case I think the behavior makes sense (it will try to
mark the enclosing block).  But maybe indeed it's an accidental change.

For the "f|or" and "fo|r" cases, indeed the smie primitives assume the
cursor is not within a token, so they get all confused.  Shouldn't be
too hard to fix.

What should be the behavior when point is at "end|"?  Should it mark
this block or the enclosing one?

        Stefan